| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_matrix_example_f32.c File Reference

## Macros

#define | SNR_THRESHOLD

## Functions

int32_t | main (void)

## Variables

const float32_t | B_f32 [4]
const float32_t | A_f32 [16]
float32_t | AT_f32 [16]
float32_t | ATMA_f32 [16]
float32_t | ATMAI_f32 [16]
float32_t | X_f32 [4]
const float32_t | xRef_f32 [4]
float32_t | snr

## Macro Definition Documentation

#define SNR_THRESHOLD

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

References A_f32, arm_mat_init_f32(), arm_mat_inverse_f32(), arm_mat_mult_f32(), arm_mat_trans_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_snr_f32(), AT_f32, ATMA_f32, ATMAI_f32, B_f32, snr, SNR_THRESHOLD, status, X_f32, and xRef_f32.

## Variable Documentation

const float32_t A_f32[16]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

float32_t AT_f32[16]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

float32_t ATMA_f32[16]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

float32_t ATMAI_f32[16]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

const float32_t B_f32[4]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

float32_t snr

float32_t X_f32[4]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().

const float32_t xRef_f32[4]

Examples:
  arm_matrix_example_f32.c.

Referenced by main().